For Developers
List Payment Methods
GET https://ed.link/api/v2/teams/:team_id/payment_methods
Returns all payment methods attached to the team's Stripe billing profile.
Permissions
Requires the payment_methods.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/payment_methods`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "pm_1P48ab2eZvKYlo2C9482910a",
"type": "card",
"card": {
"brand": "visa",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028
}
}
]
}
